org.apache.ignite.internal.processors.cache.mvcc

## Interface MvccUpdateVersionAware

All Known Subinterfaces:
  CacheDataRow

All Known Implementing Classes:
  CacheDataRowAdapter, DataRow, GridCacheMvccEntryInfo, MvccDataRow, MvccUpdateDataRow, MvccUpdateDataRowNative

    public interface MvccUpdateVersionAware

Interface for objects aware theirs mvcc update version.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`long` `newMvccCoordinatorVersion()`
`long` `newMvccCounter()`
`int` `newMvccOperationCounter()`
`byte` `newMvccTxState()`
`default MvccVersion` `newMvccVersion()`
`default void` `newMvccVersion(long crd, long cntr, int opCntr)` Sets new mvcc version.
`default void` `newMvccVersion(MvccUpdateVersionAware other)` Copies new MVCC version
`default void` `newMvccVersion(MvccVersion ver)` Sets new MVCC version

### Method Detail

#### newMvccCoordinatorVersion

    long newMvccCoordinatorVersion()

Returns:
  New mvcc coordinator version.

#### newMvccCounter

    long newMvccCounter()

Returns:
  New mvcc counter.

#### newMvccOperationCounter

    int newMvccOperationCounter()

Returns:
  New mvcc operation counter.

#### newMvccTxState

    byte newMvccTxState()

Returns:
  New Tx state.

#### newMvccVersion

    default void newMvccVersion(MvccUpdateVersionAware other)

Copies new MVCC version

Parameters:
  `other` - Object to copy version from.

#### newMvccVersion

    default void newMvccVersion(MvccVersion ver)

Sets new MVCC version

Parameters:
  `ver` - MVCC version.

#### newMvccVersion

    default void newMvccVersion(long crd,
                                long cntr,
                                int opCntr)

Sets new mvcc version.

Parameters:
  `crd` - New mvcc coordinator version.
  `cntr` - New mvcc counter.
  `opCntr` - New mvcc operation counter.

#### newMvccVersion

    default MvccVersion newMvccVersion()

Returns:
  New mvcc version.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019